Chrome 88 не даст работать блокировщикам рекламы, но Vivaldi и Brave будут сопротивляться

Хром 88 придет с поддержкой Manifest V3 для Declarative Net Request API и другими изменениями, предлагаемыми как его часть. В нем разъясняются изменения API и функций в проекте Chromium, которые также вносят ряд ограничений для расширений. Больше всего страдают расширения — блокировщики рекламы, которые перестанут работать должным образом. Один из них, uBlock Origin, уже известен своей несовместимостью с Manifest V3.

Баннер Google Chrome

Google отметила, что они сохранят текущую версию Manifect V2 доступной в течение некоторого времени, и еще не определили дату ее удаления. В любом случае, это неприятное изменение для тех, кто полагается на блокировщики рекламы.

Manifest V3 удаляет функцию блокировки API webRequest, которая используется блокировщиками рекламы, в том числе популярными uBlock Origin а также Призрак расширения. Согласно Google, эта функция позволяла расширениям получать конфиденциальную информацию о том, что вы просматриваете, а они не хотят этого.

Кроме того, Manifest V3 запрещает расширениям запускать удаленный код, что упрощает аудит расширений. Звучит неплохо, но это нарушит работу ряда расширений, запускающих «пользовательские сценарии» для изменения внешнего вида и поведения сайтов на стороне пользователя.

Таким образом, по прошествии неопределенного периода времени это в конечном итоге сделает Chrome более безопасным, но некоторые из популярных расширений перестанут работать. А как насчет других браузеров?

Firefox пока не собирается принимать это изменение. На данный момент нет планов по внедрению этого ограничения в браузере Firefox.

Edge уже позволяет тестировать функцию Manifest V3, поэтому он последует за Google с этим шагом.

Vivaldi и Brave, два браузера на основе Chromium, не будут включать Manifest V3 так долго, как могут. Однако я сомневаюсь, что это продлится долго. Им потребуется дополнительная плата, чтобы сохранить кодовую базу Chromium, не связанную с мейнстримом.

Chrome 88 выйдет в стабильную ветку в январе 2021 года. К тому времени Google будет принимать расширения, совместимые с Manifest V3, в своем Интернет-магазине.

Добавить комментарий

Ваш адрес email не будет опубликован.